<?php
define('_IN_JOHNCMS', 1);

$headmod = 'clean_field';
$textl = 'Очисти поле';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

if ($user_id) {
    switch ($act) {
        case "hod":

            $t = intval($_GET['t']);

            $ms = mysql_fetch_array(mysql_query("SELECT *
			FROM `game` 
			WHERE type='ball' and users='" . $user_id . "' LIMIT 1;"));

            if (!$ms['id']) {
                header("Location: ?");
            }

            $data_temp = unserialize($ms['dump']);

            if ($t <= 24 and $t >= 0) {

                if ($data_temp[$t] == "1") {
                    $data_temp[$t] = "0";
                } else {
                    $data_temp[$t] = "1";
                }
                $one = ($t - 5);
                $two = ($t + 1);
                $three = ($t + 5);
                $four = ($t - 1);

                if ($one >= "0" and $one <= "24") {
                    if ($data_temp[$one] == "1") {
                        $data_temp[$one] = 0;
                    } else {
                        $data_temp[$one] = 1;
                    }

                }

                if ($two >= "0" and $two <= "24" and $two != "5" and $two != "10" and $two !=
                    "15" and $two != "20") {
                    if ($data_temp[$two] == "1") {
                        $data_temp[$two] = 0;
                    } else {
                        $data_temp[$two] = 1;
                    }

                }

                if ($three >= "0" and $three <= "24") {
                    if ($data_temp[$three] == "1") {
                        $data_temp[$three] = 0;
                    } else {
                        $data_temp[$three] = 1;
                    }

                }

                if ($four >= "0" and $four <= "24" and $four != "4" and $four != "9" and $four !=
                    "14" and $four != "19") {
                    if ($data_temp[$four] == "1") {
                        $data_temp[$four] = 0;
                    } else {
                        $data_temp[$four] = 1;
                    }
                }

                mysql_query("UPDATE `game` SET
				`motion`=motion+1,
				`dump`='" . serialize($data_temp) . "' 
				WHERE type='ball' and `users`='" . $user_id . "' LIMIT 1;") or die('Error: UPDATE game');
            }
            header("Location: ?act=game");
            break;
        case "game":

            $ms = mysql_fetch_array(mysql_query("SELECT *
			FROM `game` 
			WHERE type='ball' and users='" . $user_id . "' LIMIT 1;"));

            $mod = intval($_POST['lvl']);

            if ($mod < 1 and $mod > 5) {
                header("Location: index.php");
            }

            if (!$ms['id']) {

                switch ($mod) {
                    case "1":

                        $data_temp[10] = "1";
                        $data_temp[12] = "1";
                        $data_temp[14] = "1";

                        break;
                    case "2":
                        $data_temp[12] = "1";
                        $data_temp[16] = "1";
                        $data_temp[17] = "1";
                        $data_temp[18] = "1";
                        $data_temp[20] = "1";
                        $data_temp[21] = "1";
                        $data_temp[22] = "1";
                        $data_temp[23] = "1";
                        $data_temp[24] = "1";

                        break;
                    case "3":

                        $data_temp[0] = "1";
                        $data_temp[2] = "1";
                        $data_temp[3] = "1";
                        $data_temp[5] = "1";
                        $data_temp[9] = "1";
                        $data_temp[10] = "1";
                        $data_temp[14] = "1";
                        $data_temp[15] = "1";
                        $data_temp[19] = "1";
                        $data_temp[20] = "1";
                        $data_temp[21] = "1";
                        $data_temp[22] = "1";
                        $data_temp[23] = "1";

                        break;
                    case "4":
                        $data_temp[2] = "1";
                        $data_temp[3] = "1";
                        $data_temp[8] = "1";
                        $data_temp[10] = "1";
                        $data_temp[12] = "1";
                        $data_temp[14] = "1";
                        $data_temp[16] = "1";
                        $data_temp[18] = "1";
                        $data_temp[22] = "1";

                        break;
                    case "5":
                        $data_temp[11] = "1";
                        $data_temp[16] = "1";
                        $data_temp[21] = "1";

                        break;
                }

                mysql_query("INSERT INTO `game` SET
				`time`='" . time() . "',
				`users`='" . $user_id . "',
				`type`='ball',
				`dump`='" . serialize($data_temp) . "';") or die('Error: INSERT INTO game');

                header("Location: ?act=game");
            }

            $data_temp = unserialize($ms['dump']);
            $time_game = time() - $ms['time'];

            echo "<table align=\"absmiddle\" width=\"1\" height=\"1\" cellpadding=\"1\" cellspacing=\"1\" bgcolor='#000000' border=\"1\" bordercolor=\"#FFFFFF\"
 bordercolordark=\"#000000\" bordercolorlight=\"#000000\" dir=\"LTR\"><tr>";

            for ($i = 0; $i < 25; $i++) {
                if ($data_temp[$i]) {
                    echo " <td><a href='?t=" . $i . "&amp;act=hod'><img src='" . $data_temp[$i] .
                        ".gif' width=\"16\" height=\"16\" alt=\"\" border=\"1\"/></a></td>";
                } else {
                    echo " <td><a href='?t=" . $i . "&amp;act=hod'><img src='0.gif' width=\"16\" height=\"16\" alt=\"\" border=\"1\"/></a></td>";
                }

                if ($i == "4" or $i == "9" or $i == "14" or $i == "19") {
                    echo "</tr><tr>";
                }
            }
            echo "</tr></table>";

            for ($r = 0; $r < 25; $r++) {
                if ($data_temp[$r] == "1") {
                    $cell++;
                }
            }

            echo '<div class="gmenu">';

            if ((int)$cell == "0") {
                echo '<h3><span class="green">Вы выиграли!</span></h3>';
            }

            echo "<hr/>Звезд на поле: " . (int)$cell . "<br/>Ходов сделано: " . $ms['motion'] .
                "<br/>Время игры: " . gmdate('H:i:s', $time_game) . "</div><div class='menu'>";

            break;

        default:

            $old = time() - (3 * 24 * 3600);

            mysql_query("DELETE FROM `game` WHERE type='ball' and
				(`users`='" . $user_id . "' or `time`>='" . $old . "');");
            mysql_query("OPTIMIZE TABLE `game`");

            echo "<div class='phdr'>Очисти поле</div>";

            echo "<form action='?act=game' method='post'>";
            echo "<div class='gmenu'>Правила такие. Выбираете уровень, после чего стараетесь убрать все звездочки возникшие на поле.Каждая картинка, по которой Вы кликаете, заменяется звездочкой (или ромбом), кроме того, картинка сверху, картинка снизу, картинка слева и картинка справа от выбранной картинка изменятся: звездочка станет ромбом, ромб - звездочкой. Перебирая вот таким образом, Вы должны сделать так чтобы не осталось не одной звезды.<br/>Желаю удачи!<br/>";

            echo "<b><big>Уровень:</big></b><br/>";
            echo "<select name='lvl'><option value='1'>1 (легко)</option>";
            echo "<option value='2'>2 (Просто)</option>";
            echo "<option value='3'>3 (Норально)</option>";
            echo "<option value='4'>4 (Тяжело)</option>";
            echo "<option value='5'>5 (Профи)</option></select></div><div class='bmenu'>";
            echo "<input type='submit' name='submit' value='В игру'/></div></form><div class='menu'>";

            break;
    }
} else {
    echo functions::display_error("Игра доступна только для зарегистрированых пользователей сайта");
}
echo '<a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");

?>